Closed Bug 902496 Opened 9 years ago Closed 9 years ago

Use more recent copy of the xulrunner-sdk

Categories

(Firefox OS Graveyard :: Gaia, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: ahal, Assigned: ahal)

References

Details

Attachments

(1 file, 1 obsolete file)

Bug 880917 introduced a joint change to gecko and httpd.js related to the evaluation of sjs files. This means that if a copy of httpd.js is 'out of sync' with the xpcshell binary it is being used with, there will be test failures.

Because the copy of the xulrunner-sdk we download was compiled before this change landed, we can't use recent versions of httpd.js, which makes it more painful to run mochitests for B2G (as a separate copy of xpcshell is required). We can get around this by downloading a newer xulrunner-sdk.
Attached patch Patch 1.0 - update xulrunner sdk (obsolete) — Splinter Review
Attachment #787035 - Flags: review?(jgriffin)
Attachment #787035 - Attachment is obsolete: true
Attachment #787035 - Flags: review?(jgriffin)
Attachment #787074 - Flags: review?(jgriffin)
Attachment #787074 - Flags: review?(jgriffin) → review+
https://github.com/mozilla-b2g/gaia/commit/74540fd0f7c97b277d7fdda8d84af27aac45cf1a
Status: ASSIGNED → RESOLVED
Closed: 9 years ago
Resolution: --- → FIXED
Duplicate of this bug: 902494
You need to log in before you can comment on or make changes to this bug.